SetActivLeaf("Backyard");

--ворона
add_animation(121,true)
add_animation_frame(121,"anim_back",0,308,0,0,68,47   ,0.12);
add_animation_frame(121,"anim_back",91,267  ,551,34,83,82,0.12);
add_animation_frame(121,"anim_back",195,198  ,634,34,82,91,0.12);
add_animation_frame(121,"anim_back",284,150  ,716,34,86,94,0.12);
add_animation_frame(121,"anim_back",370,76  ,802,34,82,93,0.12);
add_animation_frame(121,"anim_back",477,40  ,884,34,84,83,0.12);
add_animation_frame(121,"anim_back",561,15  ,390,56,88,49,0.12);
add_animation_frame(121,"anim_back",676,0  ,282,58,87,56,0.12);
add_animation_frame(121,"anim_back",778,0  ,968,34,50,24,0.12);
add_animation_frame(121,"anim_back",2000,456,0,0,45,42,13);
StartAnimation(121)


--мышь
add_animation(123,true)
add_animation_frame(123,"anim_back",2000,456,0,0,45,42,3);
add_animation_frame(123,"anim_back",969,642,68,14,51,30 ,0.12);
add_animation_frame(123,"anim_back",863,619,119,14,54,23,0.12);
add_animation_frame(123,"anim_back",762,602,173,14,56,20,0.12);
add_animation_frame(123,"anim_back",649,601,173,34,55,18,0.12);
add_animation_frame(123,"anim_back",534,610,119,37,54,22,0.12);
add_animation_frame(123,"anim_back",415,638,228,34,54,28,0.12);
add_animation_frame(123,"anim_back",317,648,282,34,55,24,0.12);
add_animation_frame(123,"anim_back",201,645,337,34,53,23,0.12);
add_animation_frame(123,"anim_back",89,617 ,390,34,55,22,0.12);
add_animation_frame(123,"anim_back",1,605  ,445,34,56,19,0.12);
add_animation_frame(123,"anim_back",2000,456,0,0,45,42,7);
StartAnimation(123)

--дятел
add_animation(125,true)
add_animation_frame(125,"anim_back",877,130,501,34,25,64,3);
for i=1,10,1 do                         
add_animation_frame(125,"anim_back",877,130,501,34,25,64,0.07);
add_animation_frame(125,"anim_back",877,130,526,34,25,64,0.07);
end
StartAnimation(125)

table_1 = {435,260,555,260,555,410,435,410}
CreatePolygon(NewId("dver_13_0"),4,"table_1")
--ShowPolygon(obj.dver_13_0.id,true)

NewObj("hole_back_yard","BigTexture137",443,467,"",0,0,0,0,118,42);
speciale_action(2,obj.hole_back_yard.id)
if not flags.Statuefinish then
  AddEmiter(obj.hole_back_yard.id,"Standart_13_4");
  StartEmiter("Standart_13_4");
end;
NewObj("sword_back_yard","BigTexture137",320,357,"",0,0,118,0,25,91);
if  not flags.swordinM then
  speciale_action(2,obj.sword_back_yard.id)
end;
NewObj("pik_back_yard","BigTexture137",672,295,"",0,0,0,42,31,158);
if not flags.spearinM then
  speciale_action(2,obj.pik_back_yard.id)
end;

NewObj("rope_back_yard","BigTexture137",492,105,"",0,0,143,0,128,398);

statsword_back_yard_table={329,295,430,295,430,430,329,430};
CreatePolygon(NewId("statsword_back_yard"),4,"statsword_back_yard_table");
if not flags.swordinM then
  AddEmiter(obj.statsword_back_yard.id,"Standart_13_1",true,349,346);
  StartEmiter("Standart_13_3");
end;

statpik_back_yard_table={632,298,723,298,723,430,632,430};
CreatePolygon(NewId("statpik_back_yard"),4,"statpik_back_yard_table");
if not flags.spearinM then
  AddEmiter(obj.statpik_back_yard.id,"Standart_13_3",true,671,346);
  StartEmiter("Standart_13_1");
end;


window_back_yard_table={587,4,663,4,663,116,587,116};
CreatePolygon(NewId("window_back_yard"),4,"window_back_yard_table");
--if not flags.spearinM then

--end;



tobesedka_back_yard_table={208,646,851,646,851,758,208,758};
CreatePolygon(NewId("tobesedka_back_yard"),4,"tobesedka_back_yard_table");

tomaineneter_back_yard_table={0,343,146,343,146,698,0,698};
CreatePolygon(NewId("tomaineneter_back_yard"),4,"tomaineneter_back_yard_table");

door_BackyardHidden_13_0_table={150,426,447,426,447,626,150,626};
CreatePolygon(NewId("door_BackyardHidden_13_0"),4,"door_BackyardHidden_13_0_table");
AddEmiter(obj.door_BackyardHidden_13_0.id,"Hidden_13_1",true,nil,nil,true);
StartEmiter("Hidden_13_1");


NewObj("bg_13_0","bg_13_0",0,0,"");
ActivateObject(obj.bg_13_0.id,false);

